Skip to main content
POST
/
v1
/
beneficiaries
/
{id}
/
accounts
Add a payout account to an existing beneficiary
curl --request POST \
  --url https://api.example.com/v1/beneficiaries/{id}/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency": "EUR",
  "data": {
    "bic": "DEUTDEFF",
    "iban": "DE89370400440532013000"
  },
  "type": "iban"
}
'
{
  "createdAt": "2024-01-15T10:30:00Z",
  "currency": "EUR",
  "data": {
    "bic": "DEUTDEFF",
    "iban": "DE89370400440532013000"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "active",
  "type": "iban",
  "updatedAt": "2024-01-15T10:35:00Z",
  "resolutionStatus": "resolved",
  "resolvedAccountName": "JANE DOE"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Path Parameters

id
string<uuid>
required

Unique identifier for the beneficiary

Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json
currency
enum<string>
required

Currency code (ISO 4217). Default enabled currencies: EUR, USD, GBP, USDC, EURC, NGN. Contact your account manager to enable additional currencies.

Available options:
EUR,
USD,
GBP,
USDC,
USDT,
EURC,
NGN,
XOF,
XAF,
GHS
Example:

"EUR"

data
object
required

Account data specific to the account type

Example:
{
"bic": "DEUTDEFF",
"iban": "DE89370400440532013000"
}
type
enum<string>
required

Type of payment account

Available options:
iban,
card,
bank_account,
wallet,
swift
Example:

"iban"

Response

createdAt
string<date-time>
required

Creation timestamp

Example:

"2024-01-15T10:30:00Z"

currency
enum<string>
required

Currency code (ISO 4217). Default enabled currencies: EUR, USD, GBP, USDC, EURC, NGN. Contact your account manager to enable additional currencies.

Available options:
EUR,
USD,
GBP,
USDC,
USDT,
EURC,
NGN,
XOF,
XAF,
GHS
Example:

"EUR"

data
object
required

Account data specific to the account type

Example:
{
"bic": "DEUTDEFF",
"iban": "DE89370400440532013000"
}
id
string<uuid>
required

Unique identifier for the account

Example:

"123e4567-e89b-12d3-a456-426614174000"

status
enum<string>
required

Status of the account

Available options:
active,
suspended,
closed
Example:

"active"

type
enum<string>
required

Type of payment account

Available options:
iban,
card,
bank_account,
wallet,
swift
Example:

"iban"

updatedAt
string<date-time>
required

Last update timestamp

Example:

"2024-01-15T10:35:00Z"

resolutionStatus
enum<string>

Resolution status of the account number against the bank (NGN bank accounts only).

Available options:
unresolved,
resolved,
invalid
Example:

"resolved"

resolvedAccountName
string

Account-holder name returned by the bank when the account was resolved, if available.

Example:

"JANE DOE"